Skip to main content

Update a dataset

Update a new dataset under an existing database.

Request Body
id string — REQUIRED
name string — REQUIRED
displayName string
datasetType string

Possible values: [TABLE, EXTERNAL_TABLE, VIEW, SECURE_VIEW, MATERIALIZED_VIEW, MODEL, SNAPSHOT, ICEBERG, DELTA, DELTA_LIVE, FILE, API, STREAMING_EVENTS]

format string

Possible values: [csv, xlsx, json, jsonl, seq, avro, parquet, orc, delta_parquet, unknown]

compressionType string

Possible values: [zip, gz, snappy, lz4, bz2, deflate, zlib, tar.gz]

location string
dataPaths string
rawSchema object
id string — REQUIRED
url string
name string — REQUIRED
type string — REQUIRED
schemaString string
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
columns object[] — REQUIRED
name string — REQUIRED
displayName string
ordinalPosition int32
description string
dataType string — REQUIRED
dataFormat string
dataLength int32
nullable boolean
primaryKey boolean
unique boolean
partition_key boolean
index boolean
foreignKey object
reference_table string — REQUIRED
reference_column string — REQUIRED
defaultValue string
isDefaultValueSet boolean
precision int32
scale int32
unsigned boolean
dataTypeCategory string
dataTypeDisplayName string
classification string

Possible values: [class1, class2, class3, class4, class5]

subColumns (circular)[]
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
datasetPartition object
columns string[] — REQUIRED
intervalType string — REQUIRED

Possible values: [TIME-UNIT, INTEGER-RANGE, INTGESTION-TIME, COLUMN-VALUE]

interval string — REQUIRED
watermarkColumns string
watermarkType string

Possible values: [DATETIME, NUMBER, VERSIONED_DATA, OFFSET]

watermarkInitialValue int64
config object
properties object
datasetConstraints object
nullable string[]
primaryKey string[]
unique string[]
partitionKey string[]
index string[]
description string
status string
databaseId string
datastoreId string
qualityScoreConfig object
quality_contribution object
rules_contribution object
json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
Responses
200

dataset

Schema — OPTIONAL
id string
name string
displayName string — OPTIONAL
datasetType string — OPTIONAL

Possible values: [TABLE, EXTERNAL_TABLE, VIEW, SECURE_VIEW, MATERIALIZED_VIEW, MODEL, SNAPSHOT, ICEBERG, DELTA, DELTA_LIVE, FILE, API, STREAMING_EVENTS]

format string — OPTIONAL

Possible values: [csv, xlsx, json, jsonl, seq, avro, parquet, orc, delta_parquet, unknown]

compressionType string — OPTIONAL

Possible values: [zip, gz, snappy, lz4, bz2, deflate, zlib, tar.gz]

location string — OPTIONAL
dataPaths string — OPTIONAL
rawSchema object — OPTIONAL
id string
url string — OPTIONAL
name string
type string
schemaString string — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
columns object[]
name string
displayName string — OPTIONAL
ordinalPosition int32 — OPTIONAL
description string — OPTIONAL
dataType string
dataFormat string — OPTIONAL
dataLength int32 — OPTIONAL
nullable boolean — OPTIONAL
primaryKey boolean — OPTIONAL
unique boolean — OPTIONAL
partition_key boolean — OPTIONAL
index boolean — OPTIONAL
foreignKey object — OPTIONAL
reference_table string
reference_column string
defaultValue string — OPTIONAL
isDefaultValueSet boolean — OPTIONAL
precision int32 — OPTIONAL
scale int32 — OPTIONAL
unsigned boolean — OPTIONAL
dataTypeCategory string — OPTIONAL
dataTypeDisplayName string — OPTIONAL
classification string — OPTIONAL

Possible values: [class1, class2, class3, class4, class5]

subColumns (circular)[] — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
datasetPartition object — OPTIONAL
columns string[]
intervalType string

Possible values: [TIME-UNIT, INTEGER-RANGE, INTGESTION-TIME, COLUMN-VALUE]

interval string
watermarkColumns string — OPTIONAL
watermarkType string — OPTIONAL

Possible values: [DATETIME, NUMBER, VERSIONED_DATA, OFFSET]

watermarkInitialValue int64 — OPTIONAL
config object — OPTIONAL
properties object — OPTIONAL
datasetConstraints object — OPTIONAL
nullable string[] — OPTIONAL
primaryKey string[] — OPTIONAL
unique string[] — OPTIONAL
partitionKey string[] — OPTIONAL
index string[] — OPTIONAL
description string — OPTIONAL
status string — OPTIONAL
databaseId string — OPTIONAL
datastoreId string — OPTIONAL
qualityScoreConfig object — OPTIONAL
quality_contribution object — OPTIONAL
rules_contribution object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Bad request